Bug 447268 (CVE-2008-1678) - CVE-2008-1678 httpd: mod_ssl per-connection memory leak for connections with zlib compression
Summary: CVE-2008-1678 httpd: mod_ssl per-connection memory leak for connections with ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-1678
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=apache,reported=20080512,publi...
Depends On: 447311 447312 499284 499285
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-19 08:06 UTC by Tomas Hoger
Modified: 2019-06-08 12:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 486941 (view as bug list)
Environment:
Last Closed: 2010-02-20 17:44:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1075 normal SHIPPED_LIVE Moderate: httpd security update 2009-05-27 14:19:40 UTC

Description Tomas Hoger 2008-05-19 08:06:37 UTC
Apache httpd web server's mod_ssl module linked against OpenSSL >= 0.9.8f can
leak pre-connection memory when connecting client reports support for a
compression algorithm in the initial handshake, causing httpd to run out of
memory after certain amount of SSL connections.

Upstream and Ubuntu bug reports:
https://issues.apache.org/bugzilla/show_bug.cgi?id=44975
https://bugs.launchpad.net/ubuntu/+source/apache2/+bug/224945

Upstream fix:
http://svn.apache.org/viewvc?view=rev&revision=654119

Comment 6 Tomas Hoger 2008-05-19 13:35:17 UTC
According to Joe Orton's investigation, this issue was introduced by the
following OpenSSL patch:

  http://cvs.openssl.org/chngview?cn=15897

which was first included in OpenSSL 0.9.8e.

This issue does not affect versions of httpd / mod_ssl linked with earlier
versions of OpenSSL library.

This issue did not affect mod_ssl packages as shipped in Red Hat Enterprise
Linux 2.1, 3, 4 and 5, and Fedora 7 and 8.  Issue did affect mod_ssl packages in
Fedora 9 (both prefork and worker MPM).

Comment 8 Fedora Update System 2008-07-14 19:57:14 UTC
httpd-2.2.9-1.fc9 has been submitted as an update for Fedora 9

Comment 9 Fedora Update System 2008-07-15 12:22:08 UTC
httpd-2.2.9-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update httpd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6393

Comment 10 Fedora Update System 2008-08-07 23:47:56 UTC
httpd-2.2.9-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 errata-xmlrpc 2009-05-27 14:19:57 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1075 https://rhn.redhat.com/errata/RHSA-2009-1075.html


Note You need to log in before you can comment on or make changes to this bug.